org.apache.ignite.internal.binary.streams

## Class BinaryMemoryAllocator

- java.lang.Object
- - org.apache.ignite.internal.binary.streams.BinaryMemoryAllocator

    public final class BinaryMemoryAllocator
    extends Object

Thread-local memory allocator.

### Field Summary

Fields
`static BinaryMemoryAllocator` `INSTANCE` Memory allocator instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`BinaryMemoryAllocatorChunk` `chunk()`
`boolean` `isAcquired()` Checks whether a thread-local array is acquired or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final BinaryMemoryAllocator INSTANCE

Memory allocator instance.

### Method Detail

#### chunk

    public BinaryMemoryAllocatorChunk chunk()

#### isAcquired

    public boolean isAcquired()

Checks whether a thread-local array is acquired or not. The function is used by Unit tests.

Returns:
  `true` if acquired `false` otherwise.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019